#1890 closed defect (fixed)

mq_receive and mq_timedreceive NULL dereference

Reported by: dufault Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Open group says:
"If the argument msg_prio is not NULL, the priority of the selected message shall be stored in the location referenced by msg_prio"

RTEMS implementation stomps on it. Should go on 4.10 also.

Attachments (2)

mqueurecvsupp.c.patch (694 bytes) - added by dufault on Aug 4, 2011 at 4:59:20 PM.
Don't dereference NULL pointers.
pr1890.diff (2.1 KB) - added by Joel Sherrill on Aug 21, 2011 at 6:32:06 PM.
Adds test case

Download all attachments as: .zip

Change History (5)

Changed on Aug 4, 2011 at 4:59:20 PM by dufault

Attachment: mqueurecvsupp.c.patch added

Don't dereference NULL pointers.

Changed on Aug 21, 2011 at 6:32:06 PM by Joel Sherrill

Attachment: pr1890.diff added

Adds test case

comment:1 Changed on Aug 21, 2011 at 6:32:06 PM by Joel Sherrill

attachments.isobsolete: 01

comment:2 Changed on Aug 21, 2011 at 7:02:39 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed with test change to all applicable branches.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.